Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::DenoiseSettingsObserver Class Reference

Denoise settings observer. More...

Inheritance diagram for ArgusSamples::DenoiseSettingsObserver:

List of all members.

## Public Member Functions
| DenoiseSettingsObserver (Argus::IDenoiseSettings *iDenoiseSettings)
virtual | ~DenoiseSettingsObserver ()
virtual bool | isInterface (Argus::Interface *interface) const
| Check if this is the observer for the given interface.
Public Member Functions inherited from ArgusSamples::IObserverForInterface
virtual | ~IObserverForInterface ()

## Private Member Functions
bool | onDenoiseModeChanged (const Observed &source)
bool | onDenoiseStrengthChanged (const Observed &source)

## Private Attributes
Argus::IDenoiseSettings * | m_iDenoiseSettings

## Detailed Description

Denoise settings observer.

Update Argus denoise settings when values change.

Definition at line 76 of file Dispatcher.cpp.

## Constructor & Destructor Documentation

ArgusSamples::DenoiseSettingsObserver::DenoiseSettingsObserver | ( | Argus::IDenoiseSettings * | iDenoiseSettings | ) |
| inline

Definition at line 79 of file Dispatcher.cpp.

virtual ArgusSamples::DenoiseSettingsObserver::~DenoiseSettingsObserver | ( |  | ) |
| inline virtual

Definition at line 92 of file Dispatcher.cpp.

## Member Function Documentation

virtual bool ArgusSamples::DenoiseSettingsObserver::isInterface | ( | Argus::Interface * | interface | ) | const
| inline virtual

Check if this is the observer for the given interface.

Parameters:

  interface | [in]

Implements ArgusSamples::IObserverForInterface.

Definition at line 104 of file Dispatcher.cpp.

bool ArgusSamples::DenoiseSettingsObserver::onDenoiseModeChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 110 of file Dispatcher.cpp.

bool ArgusSamples::DenoiseSettingsObserver::onDenoiseStrengthChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 124 of file Dispatcher.cpp.

## Member Data Documentation

Argus::IDenoiseSettings* ArgusSamples::DenoiseSettingsObserver::m_iDenoiseSettings
| private

Definition at line 141 of file Dispatcher.cpp.

The documentation for this class was generated from the following file:

- modules/Dispatcher.cpp